Magento SUPEE-8967 MasterCard Patch

0

Magento has just officially released patch SUPEE-8967 that fixes MasterCard’s updated BIN range of cards. Magento earlier couldn’t recognize Credit cards with the updated BIN number range, but this patch fixes it. For instructions on how to install the patch, please check out our installation guide.

Download SUPEE-8967

You can download the security patch from the offical Magento website by clicking here. Scroll down until you see patch SUPEE-8967. It’s a one size fits all patch, so no matter what version of Magento you’re on, you can download and install it. Do note that versions older than 1.9.0.0 need to install SUPEE-2725 before this one as well.

Custom payment modules

Please be aware that this patch only applies to the Mage_Payment_Model_Method_CC class, and that custom payment modules/extensions might use a different class. You’ll need to manually check if that extension supports the 2XXX Mastercard CC numbers. If not, you’ll need to contact the extension developer and ask them to integrate the updated BIN numbers. This patch applies to the following 2 files:

  • app/code/core/Mage/Payment/Model/Method/Cc.php
  • js/prototype/validation.js

Please make sure you have not modified these files before you install the patch, as this will result in an error. The most common error is the Bash: Hunk Failed error, which we show you how to fix here.

After the installation of the patch, clear all the cache and try if the new 2XXX Mastercard CC numbers work. If you’re using CloudFlare, be sure to clear the CF cache as well. We’ve often come across patches not working until the CloudFlare cache was cleared.

Share.

Leave A Reply